<template>
  <div class="home">
    <section class="hero block">
      <h1 class="title">You Talk Too Much</h1>
      <h1 class="subtitle">Analyze who talks during Teams meetings, and get better at them.</h1>
    </section>
    <section>
      <div class="tile is-ancestor is-vertical">
        <div class="tile is-horizontal is-12">
          <div class="tile is-parent ">
            <article class="tile is-child notification is-primary is-light">
              <h4 class="title">
                <b-icon
                  pack="fas"
                  icon="microphone"
                  size="is-medium">
                </b-icon>
                Record
              </h4>
              <p>At the start of your meeting, select <b>"record transcript"</b> in
                Teams.
              </p>
            </article>
          </div>
          <div class="tile is-parent ">
            <article class="tile is-child notification is-primary is-light">
              <h3 class="title">
                <b-icon
                  pack="fas"
                  icon="download"
                  size="is-medium">
                </b-icon>
                Download
              </h3>
              <p>When your meeting is over (allow a few minutes to process),
                download the .vtt transcript file on your computer.</p>
            </article>
          </div>
          <div class="tile is-parent">
            <article class="tile is-child notification is-primary is-light">
              <h3 class="title">
                <b-icon
                  pack="fas"
                  icon="cogs"
                  size="is-medium">
                </b-icon>
                Analyze
              </h3>
              <p>Upload and analyze your transcript file on this page through the button
                <b> Analyze your meeting .vtt file</b>, below on this page</p>
            </article>
          </div>
        </div>
      </div>
    </section>
    <section>
      <div class="columns is-mobile has-text-centered is-vcentered">
        <div class="column is-4 is-4-mobile">
          <div class="box is-size-5-mobile  is-size-2 mli">Measure</div>
        </div>
        <div class="column is-4 is-4-mobile ">
          <div class="box is-size-5-mobile is-size-2 mli ">Learn</div>
        </div>
        <div class="column is-4 is-4-mobile">
          <div class="box is-size-5-mobile is-size-2 mli ">Improve</div>
        </div>
      </div>
    </section>
    <section class="section">
      <fileLoader/>
    </section>
    <section class="section">
      <div v-if="!isEmpty">
        <meeting-summary/>
        <meeting-settings/>
        <time-line/>
        <tlc-viewer/>
        <gender-contribution/>
      </div>
    </section>

    <hr/>
    <section class="Hero mt-4">
      <p class="title is-3">What about your privacy?</p>
      <p>
        Uploading your discussions on a random web site is definitely not the most clever idea!
        Do not worry, we take the matter seriously.
      </p>
      <b-collapse :open="false" position="is-bottom" aria-id="contentIdForA11y1">
        <template #trigger="props">
          <a aria-controls="contentIdForA11y1">
            <b-icon :icon="!props.open ? 'ellipsis-h' : 'window-close'" pack="fas"></b-icon>
            {{ !props.open ? 'tell me more details' : 'hide details' }}
          </a>
        </template>
        <div>
          <ul>
            <li>The data does not leave your local computer.
              No cloud processing is involved.
              The uploaded .vtt transcript file remains on your computer.
              <em>
                (tech tip: check by opening your browser developer console and see if come
                information is sent outwards).
              </em>
            </li>
            <li>
              We do not do any language processing.
              The analysis is only made base on the participant names and interventions time
              intervals.
              <b>By the way, you can transcript another
                language than english. The transcripted text will be meaningless, but the tool will
                work the same.</b>
            </li>
            <li>
              The source code for this page is open source and available <a
              href="https://gitlab.com/alexmasselot/you-talk-too-much">here.</a>
            </li>
          </ul>
        </div>
      </b-collapse>
    </section>
  </div>
</template>

<script>
import { mapState } from 'vuex';
import FileLoader from '@/components/file-loader/file-loader.vue';
import MeetingSummary from '@/components/MeetingSummary/MeetingSummary.vue';
import timeLine from '@/components/time-line/time-line.vue';
import tlcViewer from '@/components/tlc-viewer/tlc-viewer.vue';
import meetingSettings from '@/components/meeting-settings/meeting-settings.vue';
import GenderContribution from '@/components/gender-contribution/gender-contribution.vue';

export default {
  components: {
    GenderContribution,
    meetingSummary: MeetingSummary,
    fileLoader: FileLoader,
    tlcViewer,
    timeLine,
    meetingSettings,
  },
  data() {
    return { isEmpty: true };
  },
  computed: {
    ...mapState({
      meeting: 'meeting',
    }),
  },
  watch: {
    meeting() {
      this.isEmpty = this.meeting.isEmpty();
    },
  },
};

</script>
<style lang="scss" scoped>
div.mli {
  height: 100%;
  background: hsl(44, 50%, 80%);
}
</style>
